e-Invoice APIEnvironment:
API Reference
Overview
Authentication
Get GSTN Details
Get Sync GSTIN From CP
Generate IRN
Get EInvoice Details
Get EInvoice DetailsGET
Get IRN details by Doc Details
Cancel IRN
Get Rejected IRNs
Generate Ewaybill
Get Ewaybill Details by IRN
Get B2C QR Code Details

e-Invoice Details by IRN API

GEThttps://apisandbox.whitebooks.in/einvoice/type/GETIRN/version/V1_03

Get e-Invoice details for a given IRN. You can fetch only past 72 hours of invoices from the time of IRN generation

Parameters

query parameters
param1stringrequired
IRN
emailstringrequired
User Email
supplier_gstnstringoptional
Supplier GSTIN, only in case E Comm. operator is getting IRN details
irpstringoptional
e-Invoice Server Type(NIC1/NIC2),given at the time of e-Invoice generation
header parameters
ip_addressstringrequired
IP Address
client_idstringrequired
Client ID
client_secretstringrequired
Client Secret
usernamestringrequired
User name
auth-tokenstringrequired
Token
gstinstringrequired
GSTIN number

Response

Not Found. If requested entity is not found or if requested API is not found.

Frequently Asked Questions

Requests are submitted via HTTP GET to /einvoice/type/GETIRN/version/V1_03. Required parameters: param1 (query parameter), email (query parameter), ip_address (header parameter), client_id (header parameter), client_secret (header parameter), username (header parameter), auth-token (header parameter), gstin (header parameter). No request body payload is required for this call.
For Get EInvoice Details (GET /einvoice/type/GETIRN/version/V1_03), responses are returned in JSON format (application/json). Documented response codes in the specification include: HTTP 404 (Not Found. If requested entity is not found or if requested API is not found.), HTTP 500 (Internal server error).
Get e-Invoice details for a given IRN. You can fetch only past 72 hours of invoices from the time of IRN generation
GET/einvoice/type/GETIRN/version/V1_03
1const response = await fetch('https://apisandbox.whitebooks.in/einvoice/type/GETIRN/version/V1_03?param1=value&email=value&supplier_gstn=value&irp=value', {
2 method: 'GET',
3 headers: {
4 ip_address: "value",
5 client_id: "value",
6 client_secret: "value",
7 username: "value",
8 auth-token: "value",
9 gstin: "value"
10},
11});
12
13const data = await response.json();
14console.log(data);
No example available.